import { UmbLitElement } from '../../lit-element/index.js';
/**
 * @description - Component for displaying one or more validation messages from UMB/UUI Form Control within the given scope.
 * Notice: Only supports components that is build on the UMB / UUI FormControlMixing.
 * @slot - for button contents
 * @slot message - for extras in the messages container
 * @see FormControlMixin
 */
export declare class UmbFormValidationMessageElement extends UmbLitElement {
    #private;
    /**
     * Set the element containing Form Controls of interest.
     * @type {string}
     * @default
     */
    get for(): HTMLElement | string | null;
    set for(value: HTMLElement | string | null);
    private _for;
    constructor();
    private _messages;
    render(): import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
declare global {
    interface HTMLElementTagNameMap {
        'umb-form-validation-message': UmbFormValidationMessageElement;
    }
}
